package com.sundot.airport.personnel.dto;

/**
 * 各职能部门待改进/不称职人员分布DTO
 *
 * @author wangxx
 * @date 2026-05-11
 */
public class FunctionalDeptPersonnelDistributionDto {
    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 职能部门名称
     */
    private String deptName;

    /**
     * 考核组人数
     */
    private Integer assessmentTeamCount;

    /**
     * 实际待改进人数
     */
    private Integer actualImprovementCount;

    /**
     * 实际不称职人数
     */
    private Integer actualIncompetentCount;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Integer getAssessmentTeamCount() {
        return assessmentTeamCount;
    }

    public void setAssessmentTeamCount(Integer assessmentTeamCount) {
        this.assessmentTeamCount = assessmentTeamCount;
    }

    public Integer getActualImprovementCount() {
        return actualImprovementCount;
    }

    public void setActualImprovementCount(Integer actualImprovementCount) {
        this.actualImprovementCount = actualImprovementCount;
    }

    public Integer getActualIncompetentCount() {
        return actualIncompetentCount;
    }

    public void setActualIncompetentCount(Integer actualIncompetentCount) {
        this.actualIncompetentCount = actualIncompetentCount;
    }
}
